from django.db import models

class FormulaCategory(models.Model):
    name = models.CharField(max_length=100)
    prefix = models.PositiveIntegerField(unique=True)  # cyfra `x` w kodzie xyz

    class Meta:
        verbose_name = "Kategoria wzoru"
        verbose_name_plural = "Kategorie wzorów"

    def __str__(self):
        return f"{self.prefix} - {self.name}"